<div class="row">
  <div class="col-md-12 pt-2 mt-2">
    <form id="cv-data-holder">
      <div class="card">
        <div class="card-header">Person</div>
        <div class="card-body">
          <label class="label" for="given">
            <h6 class="card-subtitle mb-2 text-muted">Förnamn</h6>
          </label>
          <input
            type="text"
            name="given"
            class="form-control"
            value="<%= get('data.person.name.given', ''); %>"
          />
          <br />

          <label class="label" for="family">
            <h6 class="card-subtitle mb-2 text-muted">Efternamn</h6>
          </label>
          <input
            type="text"
            name="family"
            class="form-control"
            value="<%= get('data.person.name.family', ''); %>"
          />
          <br />

          <div class="card bg-light">
            <div class="card-header">
              <label class="label" for="email"> Email </label>
            </div>
            <div class="card-body">
              <% if (get('data.person.communication.email')) { %> <%
              data.person.communication.email.forEach((email) => { %>
              <input
                type="email"
                name="email"
                class="form-control"
                value="<%= email.address %>"
              />
              <br />
              <% }) %> <% } %>

              <div>
                <button
                  type="button"
                  class="btn btn-light btn-sm"
                  style="border: 1px solid #333"
                >
                  Lägg till email
                </button>
              </div>
            </div>
          </div>

          <div class="card bg-light">
            <div class="card-header">
              <label class="label" for="phone"> Telefonnummer </label>
            </div>
            <div class="card-body">
              <% if (get('data.person.communication.phone')) { %> <%
              data.person.communication.phone.forEach((phone) => { %>
              <input
                name="phone"
                class="form-control"
                value="<%= phone.formattedNumber %>"
              />
              <br />
              <% }) %> <% } %>
              <div>
                <button
                  type="button"
                  class="btn btn-light btn-sm"
                  style="border: 1px solid #333"
                >
                  Lägg till telefonnummer
                </button>
              </div>
            </div>
          </div>

          <div class="card bg-light">
            <div class="card-header">
              <label class="label" for="address"> Adress </label>
            </div>
            <div class="card-body">
              <% if (get('data.person.communication.address')) { %> <%
              data.person.communication.address.forEach((address) => { %>
              <input
                name="address-line"
                class="form-control"
                value="<%= address.line %>"
              />
              <br />

              <label class="label" for="address-city">
                <h6 class="card-subtitle mb-2 text-muted">Stad</h6>
              </label>
              <input
                name="address-city"
                class="form-control"
                value="<%= address.city %>"
              />
              <br />

              <label class="label" for="address-postal">
                <h6 class="card-subtitle mb-2 text-muted">Postnummer</h6>
              </label>
              <input
                name="address-postal"
                class="form-control"
                value="<%= address.postalCode %>"
              />
              <br />
              <% }) %> <% } %>
              <div>
                <button
                  type="button"
                  class="btn btn-light btn-sm"
                  style="border: 1px solid #333"
                >
                  Lägg till adress
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="card">
        <div class="card-header">Ditt CV</div>
        <div class="card-body">
          <label class="label" for="description">
            <h6 class="card-subtitle mb-2 text-muted">Beskrivning</h6>
          </label>
          <% if (get('data.profiles', '')) { %> <%
          get('data.profiles').forEach(profile => { %>
          <input
            type="text"
            name="description"
            class="form-control"
            value="<%= profile.profileName %>"
          />
          <br />
          <% }) %> <% } %> <% if (get('data.profiles', '')) { %> <%
          get('data.profiles').forEach(profile => { %>
          <div class="card bg-light">
            <div class="card-header">
              <label class="label" for="employment"> Dina anställningar </label>
            </div>
            <div class="card-body">
              <% profile.employment.forEach((employment) => { %>
              <div class="card">
                <div class="card-body">
                  <label class="label" for="employment-title">
                    <h6 class="card-subtitle mb-2 text-muted">Roll</h6>
                  </label>
                  <% if (employment.positionHistories &&
                  employment.positionHistories) { %> <%
                  employment.positionHistories.forEach((position) => { %>
                  <input
                    name="employment-title"
                    class="form-control"
                    value="<%= position.title %>"
                  />
                  <br />
                  <% }) %> <% } else { %>
                  <input
                    name="employment-title"
                    class="form-control"
                    value=""
                  />
                  <br />
                  <% } %>

                  <label class="label" for="employment-organization">
                    <h6 class="card-subtitle mb-2 text-muted">Organisation</h6>
                  </label>
                  <% if (employment.organization &&
                  employment.organization.legalId &&
                  employment.organization.legalId.value) { %>
                  <input
                    name="employment-organization"
                    class="form-control"
                    value="<%= employment.organization.legalId.value %>"
                  />
                  <br />
                  <% } else { %>
                  <input
                    name="employment-organization"
                    class="form-control"
                    value=""
                  />
                  <br />
                  <% } %>

                  <label class="label" for="employment-description">
                    <h6 class="card-subtitle mb-2 text-muted">
                      Rollbeskrivning
                    </h6>
                  </label>
                  <% if (employment.descriptions && employment.descriptions) {
                  %> <% employment.descriptions.forEach((description) => { %>
                  <input
                    name="employment-description"
                    class="form-control"
                    value="<%= description %>"
                  />
                  <br />
                  <% }) %> <% } else { %>
                  <input
                    name="employment-description"
                    class="form-control"
                    value=""
                  />
                  <br />
                  <% } %>
                  <label class="label" for="employment-description">
                    <h6 class="card-subtitle mb-2 text-muted">Period</h6>
                  </label>
                  <% if (employment.descriptions && employment.descriptions) {
                  %> <% employment.descriptions.forEach(() => { %>
                    <br>
                  <label class="label" for="employment-description">
                    <h7 class="card-subtitle mb-2 text-muted">Start datum</h5>
                  </label>

                  <input
                    name="employment-description"
                    class="form-control"
                    value="<%- employment.start -%>"
                  />
                  <br>
                  <label class="label" for="employment-description">
                    <h7 class="card-subtitle mb-2 text-muted">Slut datum</h5>
                  </label>
                  <input
                    name="employment-description"
                    class="form-control"
                    value="<%- employment.end -%>"
                  />
                  <br />
                  <% }) %> <% } else { %>
                  <input
                    name="employment-description"
                    class="form-control"
                    value=""
                  />
                  <input
                    name="employment-description"
                    class="form-control"
                    value=""
                  />
                  <br />
                  <% } %>
                </div>
              </div>

              <% }) %>

                  <label class="label" for="employment-description">
                    <h6 class="card-subtitle mb-2 text-muted">Sammanfattning</h6>
                  </label>
                  <% if (get('data.profiles', '')) { %> <%
          get('data.profiles').forEach(person => { %>
                  <% if (person && person.executiveSummary) {
                  %> 
                  <input
                    name="employment-description"
                    class="form-control"
                    value="<%- person.executiveSummary  -%>"
                  />
                  <br>
                   <% } else { %>
                  <input
                    name="employment-description"
                    class="form-control"
                    value=""
                  />
                  <% } %>
              <% }) %> <% } %>
              <div>
                <button
                  type="button"
                  class="btn btn-light btn-sm"
                  style="border: 1px solid #333"
                >
                  Lägg till anställning
                </button>
              </div>
            </div>
          </div>
          <% }) %> <% } %> <% if (get('data.profiles', '')) { %> <%
          get('data.profiles').forEach(profile => { %>
          <div class="card bg-light">
            <div class="card-header">
              <label class="label" for="qualifications">
                Dina kompetenser
              </label>
            </div>
            <div class="card-body">
              <% profile.qualifications.forEach((qualification) => { %> <% if
              (qualification.competencyName) { %>
              <input
                name="qualification-competency-name"
                class="form-control"
                value="<%= qualification.competencyName %>"
              />
              <br />
              <% } %> <% }) %>

              <div>
                <button
                  type="button"
                  class="btn btn-light btn-sm"
                  style="border: 1px solid #333"
                >
                  Lägg till kompetens
                </button>
              </div>
            </div>
          </div>
          <% }) %> <% } %>
        </div>

        <div
          class="col-md-12 pt-2 mt-2"
          style="
            margin-bottom: 16px;
            padding-top: 0px !important;
            margin-top: 0px !important;
          "
        >
          <button
            type="button"
            class="btn btn-primary save-button site-button"
            onclick="saveCV()"
          >
            Skicka din ansökan
          </button>
        </div>
      </div>
    </form>
  </div>
</div>
